// Dynamic greeting based on time of day and a warm, modern message
document.addEventListener('DOMContentLoaded', function() {
    const greetingDiv = document.getElementById('greeting');
    if (greetingDiv) {
        const hour = new Date().getHours();
        let greeting;
        if (hour < 12) {
            greeting = "Good morning—your inbox is ready!";
        } else if (hour < 18) {
            greeting = "Good afternoon! Stay connected, stay secure.";
        } else {
            greeting = "Good evening—mail, delivered at light speed.";
        }
        greetingDiv.textContent = greeting;
    }
});
