<?php
// Determine current page for active link highlighting (optional, if desired)
$current = basename($_SERVER['PHP_SELF']);
?>
<header class="site-header py-2" style="background: linear-gradient(90deg,#0093e9 0,#80d0c7 100%); box-shadow: 0 2px 8px 0 rgba(30,44,92,0.09);">
    <div class="container d-flex flex-wrap align-items-center justify-content-between">
        <a href="index.php" class="d-flex align-items-center text-white text-decoration-none">
            <!-- You can swap out for an SVG logo here -->
            <img src="/assets/iosmail-logo.svg" alt="IOSMail.net" style="height: 40px; margin-right: 0.65rem;" onerror="this.style.display='none'">
            <span class="fs-3 fw-bold" style="letter-spacing: 1px;">IOSMail<span style="color:#ffd600;">.net</span></span>
        </a>
        <nav>
            <ul class="nav">
                <li class="nav-item"><a class="nav-link <?= $current=='index.php'?'active':'' ?>" href="index.php">Home</a></li>
                <li class="nav-item"><a class="nav-link <?= $current=='news.php'?'active':'' ?>" href="news.php">News</a></li>
                <li class="nav-item"><a class="nav-link <?= $current=='login.php'?'active':'' ?>" href="login.php">Login</a></li>
                <li class="nav-item"><a class="nav-link <?= $current=='register.php'?'active':'' ?>" href="register.php">Register</a></li>
            </ul>
        </nav>
    </div>
</header>
<style>
.site-header .nav-link {
    color: #fff;
    font-weight: 500;
    letter-spacing: 0.01em;
    padding: 0.4rem 1.05rem;
    border-radius: 2rem;
    transition: background 0.15s, color 0.15s;
}
.site-header .nav-link.active, .site-header .nav-link:hover {
    background: rgba(255,255,255,0.18);
    color: #222;
    text-decoration: none;
}
</style>
