<?php include 'header.php'; ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register | IOSMail.net</title>
    <!-- Sitewide styles -->
    <link rel="stylesheet" href="/assets/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/futuremail.css">
</head>
<body>
    <div class="container py-5">
        <h1 class="mb-4 text-center main-gradient" style="font-size:2.3rem; font-weight: 800;">Register for Your Free IOSMail.net Account</h1>
        <form action="register_process.php" method="post" autocomplete="off" class="mx-auto shadow soft-card" style="max-width: 420px; padding:2.5rem 2rem 1.7rem 2rem;">
            <label for="first_name" class="form-label">First Name:</label>
            <input type="text" name="first_name" id="first_name" class="form-control mb-3" required>
            
            <label for="last_name" class="form-label">Last Name:</label>
            <input type="text" name="last_name" id="last_name" class="form-control mb-3" required>

            <label for="address" class="form-label">Address:</label>
            <input type="text" name="address" id="address" class="form-control mb-3" required>

            <label for="city" class="form-label">City:</label>
            <input type="text" name="city" id="city" class="form-control mb-3" required>

            <label for="state" class="form-label">State:</label>
            <input type="text" name="state" id="state" class="form-control mb-3" required>

            <label for="zip" class="form-label">Zip:</label>
            <input type="text" name="zip" id="zip" class="form-control mb-3" required>

            <label for="phone_number" class="form-label">Phone Number:</label>
            <input type="tel" name="phone_number" id="phone_number" class="form-control mb-3" required pattern="[0-9\-+\s()]{7,}">

            <label for="desired_username" class="form-label">Desired Username:</label>
            <div class="input-group mb-3">
                <input type="text" name="desired_username" id="desired_username" class="form-control" required>
                <span class="input-group-text">@iosmail.net</span>
            </div>
            
            <label for="price" class="form-label">Choose an option:</label>
            <select name="price" id="price" class="form-select mb-3" required>
                <option value="free">Free</option>
                <option value="19.95">$19.95/year for 2GB</option>
                <option value="29.95">$29.95/year for 7GB</option>
            </select>
            
            <div class="captcha-container mb-3 text-center">
                <label for="captcha" class="form-label">Enter the text from the image:</label>
                <div>
                    <img src="antispam.php" alt="CAPTCHA" class="my-2 rounded">
                </div>
                <input type="text" name="captcha" id="captcha" class="form-control mx-auto" style="max-width:210px;" required>
            </div>

            <input type="submit" value="Register" class="btn btn-success btn-lg w-100 mt-2">
        </form>
    </div>
    <?php include 'footer.php'; ?>
</body>
</html>
