<?php
session_start();

// Set the font file you want to use
$font_file = './arial.ttf';

// Set the content type
header('Content-type: image/png');

// Set width and height of the image
$width = 150;
$height = 40;

// Create a new image
$image = imagecreate($width, $height);

// Set background color
$bg_color = imagecolorallocate($image, 255, 255, 255);

// Allocate text colors
$text_color = imagecolorallocate($image, 0, 0, 0);

// Generate a random string
$characters = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
$random_string = '';
for ($i = 0; $i < 6; $i++) {
    $random_string .= $characters[rand(0, strlen($characters) - 1)];
}

// Store the random string in the session
$_SESSION['AntiSpamImage'] = $random_string;

// Calculate the x and y coordinates for centering the text
$bbox = imagettfbbox(20, 0, $font_file, $random_string);
$x = (imagesx($image) - $bbox[4]) / 2;
$y = (imagesy($image) - $bbox[5]) / 2;

// Add the text to the image
imagettftext($image, 20, 0, $x, $y, $text_color, $font_file, $random_string);

// Output the image
imagepng($image);

// Destroy the image to free memory
imagedestroy($image);
?>
