<?php
function display_rss_feed_native($url, $max_items = 5) {
    $rss = new DOMDocument();
    $rss->load($url);
    $items = $rss->getElementsByTagName('item');
    $count = 0;

    echo '<ul>';
    foreach ($items as $item) {
        if ($count >= $max_items) {
            break;
        }

        $title = $item->getElementsByTagName('title')->item(0)->nodeValue;
        $link = $item->getElementsByTagName('link')->item(0)->nodeValue;

        echo '<li><a href="' . $link . '" target="_blank">' . $title . '</a></li>';
        $count++;
    }
    echo '</ul>';
}

// Example usage
$reuters_rss_url = 'https://www.reutersagency.com/feed/?best-regions=north-america&post_type=best';
display_rss_feed_native($reuters_rss_url);
?>
